GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXFault Class Reference

Class for handling Vendor Data. More...

`#include <GTXFault.hpp>`

## Public Member Functions
| GTXFault ()
| Empty Constructor.
| GTXFault (const GTXFault &fault)
| Copy Constructor.
GTXFault | operator= (const GTXFault &fault)
| Operator equals.
| ~GTXFault ()
| Destructor.
const char * | GetName () const
| Get value from name attribute of a Fault. More...
bool | GetPolygonalFlag () const
| Get value from polygon attribute of a Fault. More...
int | GetSegmentsNumber () const
| Get value from NSegments attribute of a Fault. More...
const GTXFaultSegment | GetSegment (int rank) const
| Get value from Segment attribute of a Fault. More...
void | SetName (const char *name)
| Set Name attribute to a Fault. More...
void | SetPolygonalFlag (bool poly)
| Set polygon attribute to a Fault. More...
void | AddFaultSegment (const GTXFaultSegment &fseg)
| add a fault segment to a Fault More...

## Friends
class | GTXFaultSystem
class | GTXClient

## Detailed Description

Class for handling Vendor Data.

Examples:
  fault.cpp.

## Member Function Documentation

void GTXFault::AddFaultSegment | ( | const GTXFaultSegment & | fseg | ) |

add a fault segment to a Fault

This function add a Fault Segment to a Fault

Parameters

  fseg | The fault segment whitch is add.

Examples:
  fault.cpp.

const char * GTXFault::GetName | ( |  | ) | const

Get value from name attribute of a Fault.

This function reads the value from name attribute of a FaultSystem

Returns
  Returned name

Examples:
  fault.cpp.

bool GTXFault::GetPolygonalFlag | ( |  | ) | const

Get value from polygon attribute of a Fault.

This function reads the value from polygon attribute of a FaultSystem

Returns
  Returned polygon

Examples:
  fault.cpp.

const GTXFaultSegment GTXFault::GetSegment | ( | int | rank | ) | const

Get value from Segment attribute of a Fault.

This function reads the value from Segment attribute of a FaultSystem

Returns
  Returned Segment

Parameters

  rank | The Rank of the Segment

Examples:
  fault.cpp.

References GetSegmentsNumber().

int GTXFault::GetSegmentsNumber | ( |  | ) | const

Get value from NSegments attribute of a Fault.

This function reads the value from NSegments attribute of a FaultSystem

Returns
  Returned NSegment

Examples:
  fault.cpp.

Referenced by GetSegment().

void GTXFault::SetName | ( | const char * | name | ) |

Set Name attribute to a Fault.

This function set Name attribute to a Fault

Parameters

  name | Attribute name

Examples:
  fault.cpp.

void GTXFault::SetPolygonalFlag | ( | bool | poly | ) |

Set polygon attribute to a Fault.

This function set polygon attribute to a Fault

Parameters

  poly | Attribute polygon

Examples:
  fault.cpp.

The documentation for this class was generated from the following files:

- include/GTXFault.hpp
- src/gtxclient/GTXFault.cpp